Bug 119696 - -i gives unknown option
-i gives unknown option
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 10:48 EST by Will Backman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-02 07:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Backman 2004-04-01 10:48:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
[root@cei3440 root]# rpm -q kernel
kernel-2.6.3-2.1.253.2.1
[root@cei3440 root]# rpm -qi kernel
-qi: unknown option
[root@cei3440 root]# rpm -q -i kernel
-i: unknown option

Man pages still list it as a valid option.

Version-Release number of selected component (if applicable):
rpm -q rpm says that rpm is not installed

How reproducible:
Always

Steps to Reproduce:
1. open terminal
2. type rpm -qi kernel
3. See error
    

Actual Results:  It says unknown option

Expected Results:  give me kernel version

Additional info:
Comment 1 William Hooper 2004-04-01 22:44:20 EST
What version of RPM?

Did you install RPM with SELinux "enforcing" mode on?  (See bug
119538).  I just did updated to rpm-4.3.1-0.1 with SELinux in
"permissive" mode and it seems to work fine.
Comment 2 Will Backman 2004-04-02 09:33:52 EST
I manually downloaded rpm-4.3.1-0.1 and installed after booting with
enforcing=0, and rpm is working again for me also.

Note You need to log in before you can comment on or make changes to this bug.